package com.nokia.financeapi.dao.car;

import com.nokia.financeapi.pojo.po.car.CarCaliberDescriptionPo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;

@Mapper
public interface CarCaliberDescriptionDao {
    /**
     * 查询所有车辆口径描述
     */
    @Select("""
select * from car.caliber_description order by second_menu, third_menu, tab_name
""")
    List<CarCaliberDescriptionPo> all();
}
