package com.nokia.financeapi.dao.car;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface CarGuoJianDao {
    /**
     * 判断是否有数据
     * @param endYearMonth 账期
     */
    @Select("""
select exists (select 1 from car.car_guo_jian where year_month = #{endYearMonth})
""")
    boolean hasData(@Param("endYearMonth") Integer endYearMonth);
}
