package com.nokia.financeapi.dao.gdc;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

@Mapper
public interface GdcCarWeiZhangDao {
    /**
     * 插入违章长期未处理
     * @param endYearMonth 账期
     */
    @Update("""
insert
    into
    car_theme.wz_f_violation_details
(
statistical_month,
    card_num,
    city,
    dpt_sec,
    grid,
    violation_time,
    violation_location,
    violation_details,
    deduction_points,
    fine,
    processing_time,
    unprocessed_duration_of_violation,
    offline_actual_processing_status
)
select
    year_month,
    che_pai_hao,
    first_unit,
    second_unit,
    third_unit,
    wei_zhang_shi_jian,
    wei_zhang_di_dian,
    wei_zhang_xiang_qing,
    kou_fen,
    fa_kuan,
    chu_li_shi_jian,
    wei_zhang_wei_chu_li_shi_chang,
    chu_li_zhuang_tai
from
    car.car_wei_zhang
where
    year_month = #{endYearMonth}
""")
    int insertWeiZhang(@Param("endYearMonth") Integer endYearMonth);
}
