package com.nokia.financeapi.dao.house;

import com.nokia.financeapi.pojo.po.house.HouseCaliberDescriptionPo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;

@Mapper
public interface HouseCaliberDescriptionDao {
    /**
     * 查询所有不动产口径描述
     */
    @Select("""
select * from house.caliber_description order by second_menu, third_menu, tab_name
""")
    List<HouseCaliberDescriptionPo> all();
}
