package com.nokia.financeapi.pojo.dto;

import com.nokia.financeapi.pojo.enums.CarDataImportEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
public class CarDataImportDto {
    @Schema(description = "模板id")
    @NotNull(message = "id不能为空")
    private CarDataImportEnum id;
    @Schema(description = "账期", example = "202301")
    @NotNull(message = "yearMonth不能为空")
    private Integer yearMonth;
}
