package com.nokia.financeapi.pojo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class GetCarMapStatVo {
    @Schema(description = "地区名称", example = "石家庄")
    private String areaName;
    @Schema(description = "车辆数量", example = "11")
    private Integer total;
    @Schema(description = "低效数量", example = "22")
    private Integer inefficiencyCount;
}
