package com.nokia.financeapi.service.car;

import com.nokia.financeapi.common.R;
import com.nokia.financeapi.dao.car.CarCaliberDescriptionDao;
import com.nokia.financeapi.pojo.po.car.CarCaliberDescriptionPo;
import org.springframework.stereotype.Service;

import java.util.LinkedHashMap;
import java.util.List;

@Service
public class CarCaliberDescriptionService {
    private final CarCaliberDescriptionDao carCaliberDescriptionDao;

    public CarCaliberDescriptionService(CarCaliberDescriptionDao carCaliberDescriptionDao) {
        this.carCaliberDescriptionDao = carCaliberDescriptionDao;
    }

    public R<LinkedHashMap<String, CarCaliberDescriptionPo>> all() {
        List<CarCaliberDescriptionPo> list = carCaliberDescriptionDao.all();
        LinkedHashMap<String, CarCaliberDescriptionPo> map = new LinkedHashMap<>();
        for (CarCaliberDescriptionPo t : list) {
            map.put(t.getTabId(), t);
        }
        return R.ok(map);
    }
}
