#!/bin/sh

CONTAINER_NAME=car-resource-map
TAG=$(date +%Y%m%d%H%M%S)
docker stop "${CONTAINER_NAME}" && docker rm -f "${CONTAINER_NAME}"
docker build -t "${CONTAINER_NAME}":"${TAG}" .
docker run --name "${CONTAINER_NAME}" --restart=unless-stopped --network=host -d "${CONTAINER_NAME}":"${TAG}"
