package com.nokia.financeapi.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@Configuration
@Data
@ConfigurationProperties("car.data-import")
public class CarDataImportConfig {
    /**
     * copy脚本路径
     */
    private String copyScriptPath;
    /**
     * 导入的数据库ip
     */
    private String dbHost;
    /**
     * 数据库端口
     */
    private String dbPort;
    /**
     * 数据库账号
     */
    private String dbUsername;
    /**
     * 数据库密码
     */
    private String dbPassword;
    /**
     * 数据库名称
     */
    private String dbName;
    /**
     * 车辆超保数据保存路径
     */
    private String chaoBao;
    /**
     * 车辆过检数据保存路径
     */
    private String guoJian;
    /**
     * 车辆违章数据保存路径
     */
    private String weiZhang;
}
