package com.nokia.financeapi.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@Configuration
@Data
@ConfigurationProperties("house.data-import")
public class HouseDataImportConfig {
    /**
     * 维修预算保存目录
     */
    private String wxys;
    /**
     * 出租预算保存目录
     */
    private String czys;
}
