package com.nokia.financeapi.dao.common;

import com.nokia.financeapi.pojo.po.common.AreaPo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;

@Mapper
public interface AreaDao {
    /**
     * 查询地市
     */
    @Select("""
select * from common.area where area_grade = 1 order by area_id
""")
    List<AreaPo> getCities();

    /**
     * 查询区县
     */
    @Select("""
select * from common.area where area_grade = 2 order by parent_id, area_id
""")
    List<AreaPo> getDistricts();
    /**
     * 获取所有地区
     */
    @Select("select * from common.area order by area_id")
    List<AreaPo> getAll();
}
