package com.nokia.financeapi.dao.gdc;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

@Mapper
public interface GdcCarGuoJianDao {
    /**
     * 插入过检数据
     * @param endYearMonth 账期
     */
    @Update("""
insert
    into
    car_theme.wz_f_un_annual_inspectionleased_vehicles_details
(
statistical_month,
    card_num,
    car_brand,
    city,
    dpt_sec,
    grid,
    enable_date,
    passed_inspection,
    should_inspection_be_conducted_this_month,
    annual_inspection_this_month,
    inspect_annually_date
)
select
    year_month as statistical_month,
    che_pai_hao as card_num,
    che_xing as car_brand,
    first_unit as city,
    second_unit as dpt_sec,
    third_unit as grid,
    deng_ji_ri_qi as enable_date,
    shi_fou_guo_jian as passed_inspection,
    shi_fou_ben_yue_ying_jian as should_inspection_be_conducted_this_month,
    ben_yue_shi_fou_nian_jian as annual_inspection_this_month,
    nian_jian_shi_jian as inspect_annually_date
from
    car.car_guo_jian
where
    year_month = #{endYearMonth}
""")
    int insertChaoBao(@Param("endYearMonth") Integer endYearMonth);
}
