package com.nokia.financeapi.pojo.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
public class GetCarMapStatDto {
    @Schema(description = "地市，不传默认全省", example = "石家庄")
    private String city;
    @Schema(description = "账期", example = "202307")
    @NotNull
    private Integer endDate;
}
