package com.nokia.financeapi.pojo.po.car;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.NoArgsConstructor;

@NoArgsConstructor
@Data
public class CarCaliberDescriptionPo {
    @Schema(description = "页签id", example = "bao-gao")
    private String tabId;
    @Schema(description = "页签名称", example = "不动产运营报告")
    private String tabName;
    @Schema(description = "二级菜单名称", example = "不动产运营报告")
    private String secondMenu;
    @Schema(description = "三级菜单名称", example = "不动产运营报告")
    private String thirdMenu;
    @Schema(description = "口径描述", example = "口径描述")
    private String description;
}
