package com.nokia.financeapi.pojo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class HouseOrgVo {
    @Schema(description = "组织机构id")
    private String id;
    @Schema(description = "组织机构名称")
    private String name;
    @Schema(description = "组织机构级别")
    private Integer level;
    @Schema(description = "排序")
    private Integer weight;
    @Schema(description = "父级组织机构id")
    private String parentId;

}
