package com.nokia.financeapi.pojo.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@NoArgsConstructor
@AllArgsConstructor
@Data
public class TreeAreaVo {
    @Schema(description = "地区名称", example = "石家庄")
    private String label;
    @Schema(description = "地区id", example = "130100")
    private String value;
    @Schema(description = "子地区列表")
    private List<TreeAreaVo> children;

    public TreeAreaVo(String label, String value) {
        this.label = label;
        this.value = value;
    }
}
